Skip to main content
Resource Center/Elastic Bare Metal Management(Plus)
POSTElastic Bare Metal Management(Plus)Since 4.4.24SynchronousAuth Required

CreateBareMetal2Bonding

CreateBareMetal2Bonding

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Request Inputs

Body Fields

  • paramsObjectRequired

    Request body parameter object.

    • chassisUuidStringRequired

      No description provided.

    • nameStringRequired

      The resource name.

    • modeIntegerRequired

      模式。

    • slavesStringRequired

      No description provided.

    • optsString

      Optional.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoryBareMetal2BondingInventoryRequired

    See inventory

    • chassisUuidStringRequired

      No description provided.

    • nameStringRequired

      The resource name.

    • slavesStringRequired

      No description provided.

    • optsStringRequired

      选项。

    • modeIntegerRequired

      模式。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • accountUuidStringRequired

      The account UUID.

    • uuidStringRequired

      The resource UUID.

Endpoint

POST/v1/baremetal2/chassis/bond

/v1/baremetal2/chassis/bond

Operation ID

CreateBareMetal2Bonding

Permalink

Request Example

curl -X POST 'http://{host}/v1/baremetal2/chassis/bond' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"chassisUuid":"<chassisUuid>","name":"<name>","mode":1,"slaves":"<slaves>","opts":"<opts>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "chassisUuid": "f4eab1389d2a4cf49c8dfef456480c5a", "name": "bond0", "slaves": "40:8d:5c:f7:8d:60,40:8d:5c:f7:8d:61", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM", "uuid": "d5090788c5624c039857ddbd32467234" } }

Change History

This API has no change history records yet.

View all change history